﻿

<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>

<script type="text/javascript">



    $(document).ready(function () {
        LoadDonVi();
    });
    function LoadDonVi() {
        $(function(){
            var dataGrid;
            $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetDonVi", "ThongKeVungXanh")',
                    dataType: 'text',
                    success: function (data) {
                        var makeAsyncDataSource = function(dataDemo){
                            return new DevExpress.data.CustomStore({
                                loadMode: "raw",
                                key: "Id",
                                load: function() {
                                    return dataDemo;
                                }
                            });
                        };

                        $("#gridBox").dxDropDownBox({
                            valueExpr: "Id",
                            placeholder: "Tất cả",
                            displayExpr: "TenDonVi",
                            showClearButton: true,
                            dataSource: makeAsyncDataSource(JSON.parse(data)),
                            contentTemplate: function (e) {
                                var value = e.component.option("value"),
                                    $dataGrid = $("<div>").dxDataGrid({
                                        dataSource: e.component.getDataSource(),
                                        columns: [{
                                            dataField: "TenDonVi",
                                            caption: "Tất cả đơn vị"
                                        }],
                                        hoverStateEnabled: true,
                                        paging: { enabled: true, pageSize: 10 },
                                        filterRow: { visible: true },
                                        scrolling: { mode: "virtual" },
                                        height: 345,
                                        selection: { mode: "multiple" },
                                        selectedRowKeys: value,
                                        onSelectionChanged: function (selectedItems) {
                                            var keys = selectedItems.selectedRowKeys;
                                            e.component.option("value", keys);
                                        }
                                    });

                                dataGrid = $dataGrid.dxDataGrid("instance");

                                e.component.on("valueChanged", function (args) {
                                    var value = args.value;
                                    dataGrid.selectRows(value, false);
                                });

                                return $dataGrid;
                            },
                            onOptionChanged: function (e) {
                                
                            }
                        });
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });


        });
    }


</script>